 configure.ac           | 67 +++++++++++---------------------------------------
 emboss_acd/Makefile.am |  2 +-
 src/Makefile.am        |  7 +++---
 3 files changed, 18 insertions(+), 58 deletions(-)

diff --git a/configure.ac b/configure.ac
index 7482ade..b815bdb 100644
--- a/configure.ac
+++ b/configure.ac
@@ -635,33 +635,6 @@ AS_CASE([${host_os}],
 
 
 
-dnl PCRE library definitions - see the MAJOR and MINOR values
-dnl to see which version's configure.in these lines come from
-
-dnl Provide the current PCRE version information. Do not use numbers
-dnl with leading zeros for the minor version, as they end up in a C
-dnl macro, and may be treated as octal constants. Stick to single
-dnl digits for minor numbers less than 10. There are unlikely to be
-dnl that many releases anyway.
-
-PCRE_MAJOR="7"
-PCRE_MINOR="9"
-PCRE_DATE="11-Apr-2009"
-PCRE_VERSION="${PCRE_MAJOR}.${PCRE_MINOR}"
-
-dnl Default values for miscellaneous macros
-
-POSIX_MALLOC_THRESHOLD="-DPOSIX_MALLOC_THRESHOLD=10"
-
-dnl Provide versioning information for libtool shared libraries that
-dnl are built by default on Unix systems.
-
-PCRE_LIB_VERSION="0:1:0"
-PCRE_POSIXLIB_VERSION="0:0:0"
-
-
-
-
 dnl FIXME: This does no longer seem required with Autoconf 2.67?
 dnl Intel MacOSX 10.6 puts X11 in a non-standard place
 dnl AS_IF([test "x${with_x}" != "xno"],
@@ -737,21 +710,6 @@ AX_LIB_POSTGRESQL
 
 
 
-dnl "Export" these variables for PCRE
-
-AC_SUBST([HAVE_MEMMOVE])
-AC_SUBST([HAVE_STRERROR])
-AC_SUBST([PCRE_MAJOR])
-AC_SUBST([PCRE_MINOR])
-AC_SUBST([PCRE_DATE])
-AC_SUBST([PCRE_VERSION])
-AC_SUBST([PCRE_LIB_VERSION])
-AC_SUBST([PCRE_POSIXLIB_VERSION])
-AC_SUBST([POSIX_MALLOC_THRESHOLD])
-
-
-
-
 dnl Test if --enable-localforce given
 locallink="no"
 embprefix="/usr/local"
@@ -874,6 +832,13 @@ AC_ARG_ENABLE([systemlibs],
 AM_CONDITIONAL([ESYSTEMLIBS], [test "x${enable_systemlibs}" = "xyes"])
 
 
+AS_IF([test "x${enable_systemlibs}" = "xyes"],
+[
+dnl using system libraries
+  PKG_CHECK_MODULES([PLPLOT], [plplotd],
+  [],[PKG_CHECK_MODULES([PLPLOT], [plplot])]
+  )
+])
 
 
 # Enable the purify tool: --enable-purify, sets CC and LIBTOOL
@@ -899,20 +864,16 @@ dnl fi
 
 
 dnl emnu and mse only: uses curses
-dnl Test if --with-curses is given
-AC_ARG_WITH([curses],
-[AS_HELP_STRING([--with-curses], [curses (or ncurses)])])
+dnl Test if --enable-curses is given
+AC_ARG_ENABLE([curses],
+[AS_HELP_STRING([--enable-curses], [curses])])
 
-AC_MSG_CHECKING([for curses])
-
-AS_IF([test "${with_curses}"],
-[
-  CPPFLAGS="$CPPFLAGS -I${with_curses}/include -I${with_curses}/include/ncurses"
-  LDFLAGS="$LDFLAGS -L${with_curses}/lib"
+AS_IF([test "x$enable_curses" = "xyes"], [
+  PKG_CHECK_MODULES([NCURSES], [ncurses])
+  PKG_CHECK_MODULES([FORM], [form])
+  PKG_CHECK_MODULES([MENU], [menu])
 ])
 
-AC_CHECK_LIB([ncurses], [main], [LIBS="$LIBS -lncurses"], [LIBS="$LIBS -lcurses"])
-
 
 
 
diff --git a/emboss_acd/Makefile.am b/emboss_acd/Makefile.am
index e1c1878..e253c95 100644
--- a/emboss_acd/Makefile.am
+++ b/emboss_acd/Makefile.am
@@ -1,3 +1,3 @@
 
-pkgdata_DATA = *.acd
+pkgdata_DATA = $(srcdir)/*.acd
 pkgdatadir=$(prefix)/share/EMBOSS/acd
diff --git a/src/Makefile.am b/src/Makefile.am
index b295079..330c76f 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -17,9 +17,8 @@ AM_CPPFLAGS = -I../../../nucleus -I../../../ajax/pcre \
 	-I../../../ajax/ensembl -I../../../ajax/ajaxdb \
 	-I../../../ajax/acd -I../../../plplot
 else
-AM_CPPFLAGS = -I${embprefix}/include -I${embprefix}/include/eplplot \
-	$(NLINCLUDES) \
-	-I${embprefix}/include/epcre
+AM_CPPFLAGS = -I${embprefix}/include $(NLINCLUDES) $(PLPLOT_CFLAGS) \
+	$(NCURSES_CFLAGS) $(FORM_CFLAGS) $(MENU_CFLAGS)
 endif
 
 if ISSHARED
@@ -57,5 +56,5 @@ LDADD = ../../../nucleus/libnucleus.la ../../../ajax/acd/libacd.la \
 	../../../plplot/libeplplot.la -lmenu -lform $(XLIB)
 else
 LDADD = -L${embprefix}/lib -lnucleus -lacd -lajaxdb -lensembl -lajaxg \
-        -lajax -lepcre $(NLADD) -leplplot -lmenu -lform $(XLIB)
+        -lajax $(NLADD) $(NCURSES_LIBS) $(FORM_LIBS) $(MENU_LIBS) $(XLIB)
 endif
